Subject: Re: bug#17464: 24.3.90; file-attributes/directory-files-and-attributes of cygwin build

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 May 2014 21:20:41 +0300

> From: Shigeru Fukaya <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 12 May 2014 03:11:59 +0900
> 
> I'm running Emacs directly invoking runemacs througn BAT script.

runemacs is supposed to be used only for the native Emacs build (which
determines its locale-coding-system by other means than looking at the
environment variables).  I think the Cygwin build, like any other
Posix build, requires the environment variables be set if you want to
be able to handle non-ASCII user/group names.  So you need to invoke
it from Bash, or else set these variables in the global Windows
environment.